<%@ page import="biz.vnc.zimbra.util.ZLog"%>
<%@ page import="com.zimbra.cs.account.Account" %>
<%@ page import="com.zimbra.cs.account.Provisioning" %>
<%@ page import="com.zimbra.cs.account.Provisioning.AccountBy" %>
<%@ page import="com.zimbra.cs.account.soap.SoapProvisioning" %>
<%@ page import="com.zimbra.cs.account.soap.SoapProvisioning.Options" %>
<%@ page import="com.zimbra.cs.zclient.ZMailbox" %>
<%@ page import="java.util.List" %>
<%@ page import="java.util.Map" %>
<%

try{
	String authToken=null;
	Cookie cookies [] = request.getCookies();
	if (cookies != null) {
		for (int i = 0; i < cookies.length; i++) {
			if(cookies[i].getName().equals("ZM_AUTH_TOKEN")) {
				authToken=cookies[i].getValue();
			}
		}
	}

	//Reading email body via soap requests.
	Options opts = new Options();
	opts.setLocalConfigAuth(true);
	SoapProvisioning sp = new SoapProvisioning(opts);
	ZMailbox client = ZMailbox.getByAuthToken(authToken, SoapProvisioning.getLocalConfigURI());
	Map<String, List<String>> map = client.getAccountInfo(true).getAttrs();
	String maxLength = map.get("zimbraPasswordMaxLength").get(0);
	String minAlphaChars = map.get("zimbraPasswordMinAlphaChars").get(0);
	String minDigitOrPuncs = map.get("zimbraPasswordMinDigitsOrPuncs").get(0);
	String minLength = map.get("zimbraPasswordMinLength").get(0);
	String minLowerCase = map.get("zimbraPasswordMinLowerCaseChars").get(0);
	String minNumeric = map.get("zimbraPasswordMinNumericChars").get(0);
	String minPunctuationChars = map.get("zimbraPasswordMinPunctuationChars").get(0);
	String minUpperCase = map.get("zimbraPasswordMinUpperCaseChars").get(0);

	out.println("<div style='text-align:center;color:black;font-size:9px'>");
	if(!"0".equals(maxLength)){
		out.println("Max length: " + maxLength);
	}
	if(!"0".equals(minAlphaChars)){
		out.println("Min AlphaChars: " + minAlphaChars);
	}
	if(!"0".equals(minDigitOrPuncs)){
		out.println("Min Digit Or Puncs: " +minDigitOrPuncs);
	}
	if(!"0".equals(minLength)){
		out.println("Min Length: " + minLength);
	}
	if(!"0".equals(minLowerCase)){
		out.println("Min Lower Case: " +minLowerCase);
	}
	if(!"0".equals(minNumeric)){
		out.println("Min Numeric: "+ minNumeric);
	}
	if(!"0".equals(minPunctuationChars)){
		out.println(" Min Punctuation Chars: " + minPunctuationChars);
	}
	if(!"0".equals(minUpperCase)){
		out.println("Min UpperCase: " + minUpperCase);
	}
	out.println("</div>");
}catch(Exception e){
	ZLog.err("Password Policy ", "Exception", e);
}

%>
